Using this function you can fetch reservation details, such as: Guest name, guest count, stay dates, address, language, country, email, phone, arrival & departure time, source code (e.g. Booking.Com, Expedia etc.), market segment (e.g. Business, groups, VIP, day-use, etc.), and more.
HTTP Request Method = POST.
https://sandbox.minihotel.cloud/api/Agents/Sci/Reservation/GetReservationKey
https://api2.minihotel.cloud/api/Agents/Sci/Reservation/GetReservationKey
Request
| Parameter | Description | Type | Example |
|---|---|---|---|
| CreateDate | Create Date Filter | Object | |
| From | From Date | String (yyyy-MM-dd) | “2021-09-05” |
| To | To Date | String (yyyy-MM-dd) | “2021-09-15” |
| Cancellations | Cancellations Only - by cancellation action date (the CreateDate becomes the cancellation action date) | String | “YES” or empty “” |
| NotIncludeModifications | New reservations only | String | “true” or empty “” |
| ModifyDate | Modify Date Filter | Object | |
| From | From Date | String (yyyy-MM-dd) | “2021-09-05” |
| To | To Date | String (yyyy-MM-dd) | “2021-09-15” |
| ArrivalDate | Arrival Date Filter | Object | |
| From | From Date | String (yyyy-MM-dd) | “2021-09-05” |
| To | To Date | String (yyyy-MM-dd) | “2021-09-15” |
| DepartureDate | Departure Date Filter | Object | |
| From | From Date | String (yyyy-MM-dd) | “2021-09-05” |
| To | To Date | String (yyyy-MM-dd) | “2021-09-15” |
| BookingSearch | Filters container | Object | |
| ArrivalDate | Arrival Date | String (yyyy-MM-dd) | “2021-09-05” |
| GivenName | First name | String | “John” |
| Surname | Last name | String | “Doe” |
| CCNumber | Credit card number, containing at least four digits. May also be used for tokenized cards; Please consult our team before implementation. | String | “4444”; "Token123456" |
| PassportNumber | Passport or ID Number | String | “123456789” |
| Guest Email | String | “example@mail. com” | |
| ReservationNumber | Portal (Agent/OTA) Reservation Number. For example: Booking.com ID, Expedia ID, etc. | String | “100000225” |
| Minihotel_reservation_id | Minihotel Reservation Number (Internal number) | String | “007002147” |
| PortalId | Portal Id | String | “BOOKING” |
| roomNumber | Room Number | String | “205” |
| Status | Reservation Status | String | “OUT” |
| IncludeRoomPrices | Include room-level price and currency | Boolean | "true" |
| IncludeHouseKeepingRemarks | Include Housekeeping Remarks | Boolean | "true" |
You can use a partial combination, insert empty values, or remove the unnecessary attributes. For example: Arrival date & first name; Arrival date & last name; Credit Card number; Passport number
Request Examples
Request by name and arrival date
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<BookingSearch ArrivalDate="2024-11-17" GivenName="Jon" Surname="Doe" />
</GetReservationKey>
Request by email
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<BookingSearch Email="[email protected]" />
</GetReservationKey>
Request by passport number
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<BookingSearch PassportNumber="551552887" />
</GetReservationKey>
Request by Minihotel (internal) reservation id
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<BookingSearch Minihotel_reservation_id="007006177" />
</GetReservationKey>
Request by arrival date / departure date / create date
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<CreateDate From="2024-08-01" To="2024-08-10" />
<ArrivalDate From="2024-08-05" To="2024-08-09" />
<DepartureDate From="2024-08-26" To="2024-08-28" />
<BookingSearch PortalId="booking" />
</GetReservationKey>
Request by arrival date & room number & reservation status
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<ArrivalDate From="2024-08-05" To="2024-08-09" />
<BookingSearch roomNumber="205" Status="IN" />
</GetReservationKey>
Request by arrival date & room number & including prices and currencies per room
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<ArrivalDate From="2024-08-10" To="2024-08-16" />
<BookingSearch roomNumber="205" Status="IN" />
<IncludeRoomPrices>true</IncludeRoomPrices>
</GetReservationKey>
Request by ModifyDate
When an agent/OTA modification occurs, the reservation is canceled and replaced with a new one using the same Portal_reservation_id but with a different MiniHotel booking ID.
The new reservation is the modified one and will be returned with the ModifyDate parameter for querying modified reservations. To exclude modified reservations from the CreateDate query, use the optional NotIncludeModifications parameter. Otherwise, the behavior remains unchanged.
<?xml version="1.0" encoding="UTF-8"?>
<GetReservationKey>
<Authentication username='Test' password='3657488' />
<Hotel id="sandbox" />
<ModifyDate From="2024-04-22" To="2024-04-22" />
</GetReservationKey>
Response
- The parameter Minihotel_reservation_id holds the internal reservation number of Minihotel
- The parameter Portal_reservation_id holds the reservation number of the OTA or agent (e.g. Booking.com, Expedia, Agoda, etc.)
- The XML response contains all the bookings which meet the search criteria
- The response may contain more than one reservation
- The response may be empty
- In order to know if a reservation is regular or a group, you can check the node
isGroupReservation(Possible values: “YES” or “NO” ). - Arrival and departure dates are under the node
ResGlobalInfo - Guest count is under
ResGlobalInfoas well - When searching by a reservation ID, the response contains up to 1 reservation
- Group reservation’s room stays contain more detailed information about each member.
Response Examples
A regular / Individual room reservation
<?xml version="1.0" encoding="UTF-8"?>
<Bookings>
<Hotel id="sandbox" />
<Booking Portal_reservation_id="1234567890" Minihotel_reservation_id="007002149"
type="Query" createDateTime="09/10/2024" Status="OK" ModifyAllowed="YES" NumofKeys="000"
source="" arrival_time="15:00" departure_time="10:00" market_segment=""
isGroupReservation="NO">
<RoomStays>
<RoomStay roomNumber="207" roomTypeId="SNG"
roomTypeName="Single" mealStatus="BB" />
</RoomStays>
<PrimaryGuest>
<Name giveName="Jon" surname="Doe" />
<Address Street="" Zip=" " City="" />
<Country CountryName="US" iso2="" iso3="" />
<Language iso2=" " />
<Email />
<Phone />
<Fax />
<CreditCard Type="" Number="Token123456****"
NameOnCard="****" ExpirationDate="" />
</PrimaryGuest>
<SpecialRequest Type="Remarks" />
<ReservationRemarks>
<PrintedRemarks>
Please provide a quiet room away from the elevator.
</PrintedRemarks>
<NonPrintedRemarks>
Guest expects to arrive at approximately 18:30.
Confirm payment upon check-in.
</NonPrintedRemarks>
<HouseKeepingRemarks>
Change the linen and separate the twin beds before arrival.
</HouseKeepingRemarks>
</ReservationRemarks>
<ResGlobalInfo>
<GuestCount adult="1" child="0" baby="0" youth="0" />
<Timespan arrival="19/10/2024" departure="21/10/2024" />
<Total AmountAfterTaxes="204.00" CurrencyCode="EUR" />
</ResGlobalInfo>
</Booking>
</Bookings>
A group reservation - details per each room (primary guest / group leader only)
<?xml version="1.0" encoding="UTF-8"?>
<Bookings>
<Hotel id="sandbox" />
<Booking Minihotel_reservation_id="007002147" type="Query" createDateTime="09/10/2021" Status="OK" ModifyAllowed="YES" NumofKeys="000" source="" arrival_time="15:00" departure_time="10:00" market_segment="" isGroupReservation="YES">
<RoomStays>
<RoomStay roomNumber="07-2" roomTypeId="DBL" roomTypeName="Double Room" mealStatus="BB" memberSerial="00001">
<StayDate arrival="2021-10-19" departure="2021-10-21" />
<RoomCount NumberOfUnits="1" />
<GuestCount adult="1" child="0" baby="0" youth="0" />
<GuestNames>
<Name giveName="Leo" surname="Messi" />
</GuestNames>
<IdNumber>123456789</IdNumber>
<Email />
<Phone />
<Status />
</RoomStay>
<RoomStay roomNumber="05-8" roomTypeId="DBL" roomTypeName="Double Room" mealStatus="BB" memberSerial="00002">
<StayDate arrival="2021-10-19" departure="2021-10-21" />
<RoomCount NumberOfUnits="1" />
<GuestCount adult="1" child="1" baby="1" youth="0" />
<GuestNames>
<Name giveName="Jon" surname="Doe" />
</GuestNames>
<Email>[email protected]</Email>
<Phone>+549369852</Phone>
<Status />
</RoomStay>
</RoomStays>
<PrimaryGuest>
<Name giveName="Cristiano" surname="Ronaldo" />
<Address Street="" Zip=" " City="" />
<Country CountryName="US" iso2="" iso3="" />
<Language iso2=" " />
<Email />
<Phone />
<IdNumber />
<Fax />
<CreditCard Type="" Number="****" NameOnCard=" " ExpirationDate="" />
</PrimaryGuest>
<SpecialRequest Type="Remarks" />
<ResGlobalInfo>
<Timespan arrival="19/10/2021" departure="21/10/2021" />
<Total AmountAfterTaxes="280.00" CurrencyCode="HRK" />
</ResGlobalInfo>
</Booking>
</Bookings>
A group reservation - details per each room: primary guest and extra guest details
<?xml version="1.0" encoding="utf-8"?>
<Bookings>
<Hotel id="sandbox" />
<Booking Minihotel_reservation_id="070000181" type="Query" createDateTime="24/05/2023" Status="OK3" ModifyAllowed="YES" NumofKeys="000" source="" arrival_time="12:00" departure_time="10:00" market_segment="" isGroupReservation="YES">
<RoomStays>
<RoomStay roomNumber="01" roomTypeID="DOUBLE" roomTypeName="Doble" mealStatus="RO" memberSerial="00001">
<StayDate arrival="2023-06-10" departure="2023-06-11" />
<RoomCount NumberOfUnits="1" />
<GuestCount adult="2" child="0" baby="0" youth="0" />
<GuestNames>
<Name givenName="Gonzalo" surname="Levy" />
</GuestNames>
<IdNumber />
<Email />
<Phone />
<Status />
<ExtraGuests>
<ExtraGuest>
<Key>00001</Key>
<FirstName>Gonzalo</FirstName>
<LastName>Levy</LastName>
<IdTypeCode />
<IdNumber>15975300</IdNumber>
<BirthDate>2023-05-24</BirthDate>
<Address>Su Casa 2346</Address>
<CountryCode>AR</CountryCode>
<ZipCode>5003</ZipCode>
<Email>[email protected]</Email>
<Phone>3517341697</Phone>
<Remarks>Dejo todo en condiciones.</Remarks>
<ProvinceCode />
</ExtraGuest>
<ExtraGuest>
<Key>00002</Key>
<FirstName>Mariela</FirstName>
<LastName>Levy</LastName>
<IdTypeCode />
<IdNumber />
<BirthDate />
<Address />
<CountryCode>BE</CountryCode>
<ZipCode />
<Email />
<Phone />
<Remarks />
<ProvinceCode />
</ExtraGuest>
</ExtraGuests>
</RoomStay>
<RoomStay roomNumber="02" roomTypeID="TRIPLE" roomTypeName="Triple" mealStatus="RO" memberSerial="00002">
<StayDate arrival="2023-06-10" departure="2023-06-11" />
<RoomCount NumberOfUnits="1" />
<GuestCount adult="2" child="0" baby="0" youth="0" />
<GuestNames>
<Name givenName="Jon" surname="Doe" />
</GuestNames>
<IdNumber />
<Email />
<Phone />
<Status />
</RoomStay>
</RoomStays>
<PrimaryGuest>
<Name givenName="Jane" surname="Doe" />
<Address Street="" Zip=" " City="" />
<Country CountryName="CO" iso2="" iso3="" />
<Language iso2=" " />
<IdNumber />
<Email>[email protected]</Email>
<Phone />
<Fax />
<CreditCard Type="" Number="****" NameOnCard=" " ExpirationDate="" />
</PrimaryGuest>
<SpecialRequest Type="Remarks" />
<ReservationRemarks>
<PrintedRemarks />
<NonPrintedRemarks />
</ReservationRemarks>
<ResGlobalInfo>
<Timespan arrival="10/06/2023" departure="11/06/2023" />
<Total AmountAfterTaxes="0.00" CurrencyCode="COP" />
</ResGlobalInfo>
</Booking>
</Bookings>
A group reservation - Including prices and currencies per room
<?xml version="1.0" encoding="utf-8"?>
<Bookings>
<Hotel id="sandbox" />
<Booking Minihotel_reservation_id="007003792" type="Query" createDateTime="16/08/2024" Status="OK" ModifyAllowed="YES" NumofKeys="000" source="" arrival_time="11:25" departure_time="15:01" market_segment="" isGroupReservation="YES">
<RoomStays>
<RoomStay roomNumber="102" roomTypeID="DBL" roomTypeName="Double" mealStatus="HB" memberSerial="00001">
<StayDate arrival="2024-08-16" departure="2024-08-18" />
<RoomCount NumberOfUnits="1" />
<GuestCount adult="1" child="0" baby="0" youth="0" />
<GuestNames>
<Name givenName="Jon" surname="Doe" />
</GuestNames>
<IdNumber>323512354</IdNumber>
<Email />
<Phone />
<Status />
<Total AmountAfterTaxes="100" CurrencyCode="EUR" />
</RoomStay>
<RoomStay roomNumber="205" roomTypeID="BGR" roomTypeName="Bungalow" mealStatus="BB" memberSerial="00002">
<StayDate arrival="2024-08-16" departure="2024-08-18" />
<RoomCount NumberOfUnits="1" />
<GuestCount adult="1" child="0" baby="0" youth="0" />
<GuestNames>
<Name givenName="Nicolas" surname="Doe" />
</GuestNames>
<IdNumber />
<Email />
<Phone />
<Status />
<Total AmountAfterTaxes="0" CurrencyCode="EUR" />
</RoomStay>
</RoomStays>
<PrimaryGuest>
<Name givenName="Matias" surname="Doe" />
<Address Street="" Zip=" " City="" />
<Country CountryName="LA" iso2="" iso3="" />
<Language iso2=" " />
<IdNumber>363557177</IdNumber>
<Email />
<Phone />
<Fax />
<CreditCard Type="" Number="****" NameOnCard=" " ExpirationDate="" />
</PrimaryGuest>
<SpecialRequest Type="Remarks" />
<ReservationRemarks>
<PrintedRemarks />
<NonPrintedRemarks />
</ReservationRemarks>
<ResGlobalInfo>
<Timespan arrival="16/08/2024" departure="18/08/2024" />
<Total AmountAfterTaxes="2650.00" CurrencyCode="EUR" />
</ResGlobalInfo>
</Booking>
</Bookings>
OK: Confirmed
OK1–OK9: Mostly available for custom use
OK2: Confirmed – Channel Manager / OTAs
OK4: Confirmed – Booking Engine (Homepage)
WL: Waiting List
PN: Pending
IN: Checked-in
OUT: Checked-out
CL: Cancelled
BL: Blacklisted
LWP: Left Without Payment
BID: Bid / Quote
CLOSE: Closed Room
ALC: Allocation
PRE: Pre-authorization
ℹ️ Additional status values can be customized in the system setup.
